<?php

class WPBakeryShortCode_Tt_Blog_Posts extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'count' => '3',
            'categories' => '',
            'extra_class' => ''
        ), $atts));

        $cats = array();
        if( !empty($categories) ){
            $exps = explode(",", $categories);
            foreach($exps as $val){
                if( (int)$val>-1 ){
                    $cats[]=(int)$val;
                }
            }
        }

        $args = array(
                        'post_type' => 'post',
                        'posts_per_page' => $count,
                        'ignore_sticky_posts' => true
                    );
        if(!empty($cats)){
            $args['category__in'] = $cats;
        }

        $items = '';
        $posts_query = new WP_Query($args);
        while ( $posts_query->have_posts() ) {
            $posts_query->the_post();

            $excerpt = wp_trim_words( wp_strip_all_tags(strip_shortcodes(get_the_content())), 10 );

            $img = '';
            if( has_post_thumbnail() ){
                $img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'nrgfashion-blog-thumb' );
                $img = !empty($img) ? $img[0] : '';
            }

            $postclass = implode(' ',get_post_class());
            $items .= "<div class='col-md-4 col-sm-4 post $postclass $extra_class'>
                            <a href='".get_permalink()."'>".get_the_post_thumbnail( get_the_ID(), 'nrgfashion-blog-thumb')."</a>
                            <h5><a href='". get_permalink()."'>".get_the_title()."</a></h5>
                            <p>".get_the_author()." | ". get_the_time('F d / Y')."</p>
                            <a class='read-more red-blog' href='". get_permalink()."'>".__('Read more', 'nrgfashion')."<i class='fa fa-long-arrow-right'></i></a>
                        </div>";
}

        // reset query
        wp_reset_postdata();
       
        return "<div class='tt-blog-element $extra_class'>
                    $items
                </div>";
    }
}

vc_map( array(
    "name" => esc_html__( 'Blog Posts', 'nrgfashion' ),
    "description" => esc_html__("Only post type: post", 'nrgfashion'),
    "base" => 'tt_blog_posts',
    "icon" => "tt-icon blog",
    "content_element" => true,
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "count",
            "heading" => esc_html__("Posts Count", 'nrgfashion'),
            "value" => '3'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "categories",
            "heading" => esc_html__("Categories", 'nrgfashion'),
            "description" => esc_html__("Specify category Id or leave blank to display items from all categories.", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    )
));