<?php

class WPBakeryShortCode_Counter extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "icon_type" => 'icon',
            "icon" => 'fa fa-smile-o',
            "image" => '',
            "text" => 'Clean Service',
            "number"     => "102",
            "extra_class" => ""
        ), $atts ) );

        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : wp_get_attachment_image($image, 'thumbnail');

        $result = "<div class='numbers time-line $extra_class'>
                        $image_src
                        <h4 class='timer countto' data-to='$number' data-speed='3000'>$number</h4>
                        <h6>$text</h6>
                </div>";

        return $result;
    }
}

vc_map( array(
            "name" => esc_html__("Counter", 'nrgfashion'),
            "description" => esc_html__("Animated numbers", 'nrgfashion'),
            "base" => "counter",
            "class" => "",
            "icon" => "icon-wpb-quickload",
            "category" => esc_html__('NRGFashion', 'nrgfashion'),
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    'type' => 'dropdown',
                    "param_name" => "icon_type",
                    "heading" => esc_html__("Icon Type", 'nrgfashion'),
                    "value" => array(
                        "Icon font" => "icon_font",
                        "Icon image" => "icon_image"
                    ),
                    "std" => "icon_font",
                ),
                array(
                    'type' => 'attach_image',
                    "param_name" => "image",
                    "heading" => esc_html__("Image Image", 'nrgfashion'),
                    "value" => '',
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "imagesize",
                    "heading" => esc_html__("Image Size", 'nrgfashion'),
                    "value" => '80x80',
                    "description" => "Ex: 64x64 ( Width x Height, in pixels )",
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
                ),
                array(
                    'type' => 'iconpicker',
                    "param_name" => "icon",
                    "heading" => esc_html__("Icon", 'nrgfashion'),
                    "description" => "",
                    'value' => 'fa fa-adjust', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    "std" => "mdi-action-account-box",
                    "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "number",
                    "heading" => esc_html__("Number value", 'nrgfashion'),
                    "value" => '1234'
                ),
                array(
                    'type' => 'textfield',
                    "param_name" => "text",
                    "heading" => esc_html__("Text caption", 'nrgfashion'),
                    "value" => 'Code lines',
                    "holder" => 'div'
                ),
                array(
                    "type" => "textfield",
                    "param_name" => "extra_class",
                    "heading" => esc_html__("Extra Class", 'nrgfashion'),
                    "value" => "",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
                )

            )
        ) );