<?php
class Extend_Tabs{

    function __construct(){
        add_action('init', array($this, 'tabs_init'));

        if(defined('WPB_VC_VERSION') && version_compare( WPB_VC_VERSION, '4.4', '>=' )) {
            add_filter('vc_shortcode_output', array($this, 'vc_shortcode_output'),10,3);
        }

        add_filter( 'vc_shortcodes_css_class', array($this, 'custom_css_classes_for_vc'), 10, 2 );
    }

    
    // Filter to replace default css class names
    function custom_css_classes_for_vc( $class_string, $tag ) {
        if( $tag == 'vc_row' || $tag == 'vc_row_inner' ){  }
        if( $tag == 'vc_column' || $tag == 'vc_column_inner' ){  }
        return $class_string;
    }


    public function vc_shortcode_output($output, $obj, $attr){
        
        if($obj->settings('base')=='vc_tta_tour'){
            $data_attr = '';
            if( isset($attr['tab_style'], $attr['desc_title'], $attr['desc_text']) && $attr['tab_style']=="with_desc" ){
                $data_attr .= ' data-desc-title="'.esc_attr($attr['desc_title']).'"';
                $data_attr .= ' data-desc-text="'.esc_attr($attr['desc_text']).'"';
            }
            $data_attr = !empty($data_attr) ? $data_attr : ' data-no-desc="yes"';
            $output = preg_replace('/ class="/', $data_attr . ' class="wpb_tour_extended ', $output, 1);
        }

        return $output;
    }



    public function tabs_init(){


        // vc_tta_tour
        vc_add_param('vc_tta_tour', array(
            "type" => "dropdown",
            "heading" => esc_html__("Tabs Style", "nrgfashion"),
            "param_name" => "tab_style",
            "value" => array(
                    esc_html__("Default", "nrgfashion") => "default",
                    esc_html__("With Description", "nrgfashion") => "with_desc"
                )
        ));
        vc_add_param('vc_tta_tour', array(
            "type" => "textfield",
            "heading" => esc_html__("Title", "nrgfashion"),
            "param_name" => "desc_title",
            "value" => "",
            "dependency" => Array("element" => "tab_style", "value" => array("with_desc"))
        ));
        vc_add_param('vc_tta_tour', array(
            "type" => "textarea",
            "heading" => esc_html__("Description", "nrgfashion"),
            "param_name" => "desc_text",
            "value" => "",
            "dependency" => Array("element" => "tab_style", "value" => array("with_desc"))
        ));



    }
}

new Extend_Tabs();