<?php

class WPBakeryShortCode_Image_Carousel extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "images"     => "",
            "number" => "3",
            "extra_class" => ""
        ), $atts ) );

        $images = explode( ',', $images );
        $post_thumbnail = '';
        foreach ( $images as $attach_id ) {
            $post_thumbnail .= "<div class='swiper-slide'>".wp_get_attachment_image($attach_id, 'nrgfashion-image-carousel')."</div>";
        }
 
        return  "<div class='swiper-container tt-carousel-image-gallery $extra_class' data-mode='horizontal' data-slides-per-view='responsive' data-xs-slides='2' data-sm-slides='3' data-md-slides='4' data-lg-slides='$number' data-loop='0'>
                    <div class='swiper-wrapper'>$post_thumbnail</div><div class='pagination swiper-pagination hidden'></div>
                </div>";
    }
}

vc_map( array(
    "name" => esc_html__("Image Carousel", 'nrgfashion'),
    "description" => esc_html__("Images in Carousel", 'nrgfashion'),
    "base" => 'image_carousel',
    "class" => "",
    "icon" => "tt-icon image-carousel-item",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("How many box display?", "nrgfashion"),
            "param_name" => "number",
            "value" => array(
                    esc_html__("Three", "nrgfashion") => "3",
                    esc_html__("Four", "nrgfashion") => "4",
                    esc_html__("Five", "nrgfashion") => "5",
                    esc_html__("Six", "nrgfashion") => "6",
                    esc_html__("Seven", "nrgfashion") => "7",
                    esc_html__("Eight", "nrgfashion") => "8",
                )
        ),
        array(
            'type' => 'attach_images',
            "param_name" => "images",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    )
) );