<?php

class WPBakeryShortCode_Model extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "image"     => "",
            "name"     => ""
        ), $atts ) );

        $thumb = $image != '' ? wp_get_attachment_image($image, 'model-image', false, array('class'=>'center-image')) : '';

        $content = wpb_js_remove_wpautop( $content, true );

        return "<div class='swiper-slide'>
                    <div class='model-pic'>
                        $thumb
                    </div>
                    
                    <div class='about-model'>
                        <h5>$name</h5>$content</div>
                </div>";
    }
}

vc_map( array(
    "name" => esc_html__("Model", 'nrgfashion'),
    "description" => esc_html__("Model item", 'nrgfashion'),
    "base" => 'model',
    "class" => "",
    "icon" => "tt-icon model",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "model_container"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textfield',
            "param_name" => "name",
            "heading" => esc_html__("Name", 'nrgfashion'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            'type' => 'textarea_html',
            "param_name" => "content",
            "heading" => esc_html__("Description", 'nrgfashion'),
            "value" => ''
        )

    )
) );