<?php

class WPBakeryShortCode_Tt_Service_Box extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'icon_type' => 'icon_font',
            'icon' => 'fa fa-smile-o',
            'image' => '',
            'title' => '',
            'description' => '',
            'extra_class' => ''
        ), $atts));

        $result = '';

        if($icon_type == 'icon_image') {
            $icon_markup = wp_get_attachment_image($image);
        }

        $image_src = $icon_type == 'icon_font' ? "<i class='$icon'></i>" : $icon_markup;

        $result = "<div class='s-service-box $extra_class'>
                        $image_src
                        <h3 class='s-serv-title'>$title</h3>
                        <p>$description</p>
                   </div>";
        
        return $result;
    }
}

vc_map( array(
    "name" => esc_attr__( 'Service Box', 'nrgfashion' ),
    "description" => esc_attr__("Service item", 'nrgfashion'),
    "base" => 'tt_service_box',
    "icon" => "tt-icon service-box",
    "content_element" => true,
    "category" => esc_attr__('nrgfashion', 'nrgfashion'),
    'params' => array(
        array(
            'type' => 'dropdown',
            "param_name" => "icon_type",
            "heading" => esc_attr__("Icon Type", 'nrgfashion'),
            "value" => array(
                "Icon font" => "icon_font",
                "Icon image" => "icon_image"
            ),
            "std" => "icon_font",
        ),
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => esc_attr__("Image Image", 'nrgfashion'),
            "value" => '',
            "dependency" => Array("element" => "icon_type", "value" => array("icon_image")),
            "desc" => 'Please prepare your image size because bigger images inappropriate.'
        ),
        array(
            'type' => 'iconpicker',
            "param_name" => "icon",
            "heading" => esc_attr__("Icon", 'nrgfashion'),
            "description" => "",
            "value" => '',
            'std' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            "std" => "fa fa-adjust",
            "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
        ),
        array(
            "type" => 'textfield',
            "param_name" => "title",
            "heading" => esc_attr__("Title", 'nrgfashion'),
            "value" => 'Service Title',
            "holder" => 'div'
        ),
        array(
            "type" => 'textarea',
            "param_name" => "description",
            "heading" => esc_attr__("Description", 'nrgfashion'),
            "value" => 'Magni dolores eos qui ratione kavo uptatem sequi nescin.',
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_attr__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_attr__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )
    )
));