<?php

class WPBakeryShortCode_Tabbed_Team extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "image"     => "",
            "name"     => "",
            "position"     => "",
            "link_facebook"     => "",
            "link_twitter"     => "",
            "link_google"     => "",
            "link_linkedin"     => ""
        ), $atts ) );
        $stars = "";
        $thumb = $image != '' ? wp_get_attachment_image_src($image, 'full', false, array('class'=>'team')) : '';
        $content = wpb_js_remove_wpautop( $content, true );

        return "<div class='tab-info' data-title='$name' data-position='$position'>
                    <div class='col-sm-12 col-md-6 v-member-box' style='background-image: url($thumb[0])'></div>
                    <div class='col-sm-12 col-md-6 v-member-box v-member-box-info'>
                        <h3>$name</h3>
                        <p class='v-member-text'>$content</p>
                        <div class='v-member-social clearfix'>
                            <a href='$link_facebook'><i class='fa fa-facebook'></i></a>
                            <a href='$link_twitter'><i class='fa fa-twitter'></i></a>
                            <a href='$link_google'><i class='fa fa-google-plus'></i></a>
                            <a href='$link_linkedin'><i class='fa fa-linkedin'></i></a>
                        </div>
                    </div>
                </div>";
    }
}

vc_map( array(
    "name" => esc_html__("Tabbed Team", 'nrgfashion'),
    "description" => esc_html__("Team members in tab", 'nrgfashion'),
    "base" => 'tabbed_team',
    "class" => "",
    "icon" => "tt-icon tabbed-team",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "tabbed_team_container"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textfield',
            "param_name" => "name",
            "heading" => esc_html__("Name", 'nrgfashion'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            'type' => 'textfield',
            "param_name" => "position",
            "heading" => esc_html__("Position", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textarea_html',
            "param_name" => "content",
            "heading" => esc_html__("About", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => 'textfield',
            "param_name" => "link_facebook",
            "heading" => esc_html__("Facebook (optional)", 'nrgfashion'),
            "value" => '#'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "link_twitter",
            "heading" => esc_html__("Twitter (optional)", 'nrgfashion'),
            "value" => '#'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "link_google",
            "heading" => esc_html__("Google+ (optional)", 'nrgfashion'),
            "value" => '#'
        ),
        array(
            "type" => 'textfield',
            "param_name" => "link_linkedin",
            "heading" => esc_html__("Linkedin (optional)", 'nrgfashion'),
            "value" => '#'
        )

    )
) );