<?php

class WPBakeryShortCode_Boxed_Testimonial extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            "image"     => "",
            "quote"     => "",
            "author"    => "John Doe",
            "company"   => "",
            "link"      => "",
            "extra_class" => ""
        ), $atts ) );

        $thumb = $image != '' ? wp_get_attachment_image($image, 'full', false, array('class'=>'testim-pic')) : '';

        $quote = $quote != '' ? "$quote" : '';
        $company = $company != '' ? "<span>$company</span>" : '';

        $classes = $image != '' ? 'with-thumb' : '';
        $classes .= ' '.$extra_class;

        $author = $link != '' ? "<a href='$link'>$author</a>" : $author;
        $result = "<div class='swiper-slide'>
                    <div class='words $classes'>
                        <p class='im-center'>
                            <img src='".get_template_directory_uri()."/img/agency/semicolon.jpg' alt='Semicolon'/>
                        </p>
                        <p class='im-center'>
                            $thumb
                        </p>
                        <p class='t-describe'>$quote</p>
                        <p class='t-author'>$author, $company.</p>
                    </div>
                </div>";

        return $result;
    }
}

vc_map( array(
    "name" => esc_html__("Boxed Testimonial", 'nrgfashion'),
    "description" => esc_html__("For Quote, Blockquote & User Feedback", 'nrgfashion'),
    "base" => 'boxed_testimonial',
    "class" => "",
    "icon" => "tt-icon testimonial",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "boxed_testimonial_container"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textarea',
            "param_name" => "quote",
            "heading" => esc_html__("Quote", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textfield',
            "param_name" => "author",
            "heading" => esc_html__("Author", 'nrgfashion'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            'type' => 'textfield',
            "param_name" => "company",
            "heading" => esc_html__("Company", 'nrgfashion'),
            "value" => ''
        ),
        array(
            'type' => 'textfield',
            "param_name" => "Link",
            "heading" => esc_html__("Link", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => esc_html__("Extra Class", 'nrgfashion'),
            "value" => "",
            "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgfashion'),
        )

    )
) );