<?php

class WPBakeryShortCode_Text_Image_Carousel extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract( shortcode_atts( array(
            'title' => '',
            'image' => '',
            'desc'  => '',
            "extra_class" => ''
        ), $atts ) );

        $image = $image != '' ? wp_get_attachment_image($image, 'large') : '';
        $content = wpb_js_remove_wpautop( $content, true );

        return "<div class='swiper-slide'>
                     <div class='photo-season'>
                        $image
                        <h5>$title</h5>
                        <p>$desc</p>
                    </div>

                 </div>";
    }
}

vc_map( array(
    "name" => esc_html__("Text & Image Carousel", 'nrgfashion'),
    "description" => esc_html__("Text & Image Carousel Item", 'nrgfashion'),
    "base" => 'text_image_carousel',
    "class" => "",
    "icon" => "tt-icon text-image-carousel",
    "category" => esc_html__('NRGFashion', 'nrgfashion'),
    "as_child" => array("only" => "text_image_carousel_container"),
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type" => 'textfield',
            "param_name" => "title",
            "heading" => esc_html__("Title", 'nrgfashion'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            "type" => 'attach_image',
            "param_name" => "image",
            "heading" => esc_html__("Image", 'nrgfashion'),
            "value" => ''
        ),
        array(
            "type" => "textarea",
            "param_name" => "desc",
            "heading" => esc_html__("Description", 'nrgfashion'),
            "value" => ''
        )
    )
) );